org.apache.ignite.igfs.mapreduce

## Interface IgfsTaskArgs<T>

All Known Implementing Classes:
  IgfsTaskArgsImpl

    public interface IgfsTaskArgs<T>

IGFS task arguments. When you initiate new IGFS task execution using one of `IgniteFs.execute(...)` methods, all passed parameters are encapsulated in a single `IgfsTaskArgs` object. Later on this object is passed to `IgfsTask.createJob(org.apache.ignite.igfs.IgfsPath, IgfsFileRange, IgfsTaskArgs)` method.

Task arguments encapsulates the following data:

- IGFS name
- File paths passed to `IgniteFs.execute()` method
- `IgfsRecordResolver` for that task
- Flag indicating whether to skip non-existent file paths or throw an exception
- User-defined task argument
- Maximum file range length for that task (see `FileSystemConfiguration.getMaximumTaskRangeLength()`)

### Method Summary

Methods
`String` `igfsName()` Gets IGFS name.
`long` `maxRangeLength()` Optional maximum allowed range length, `0` by default.
`Collection<IgfsPath>` `paths()` Gets file paths to process.
`IgfsRecordResolver` `recordResolver()` Gets record resolver for the task.
`boolean` `skipNonExistentFiles()` Flag indicating whether to fail or simply skip non-existent files.
`T` `userArgument()` User argument provided for task execution.

### Method Detail

#### igfsName

    String igfsName()

Gets IGFS name.

Returns:
  IGFS name.

#### paths

    Collection<IgfsPath> paths()

Gets file paths to process.

Returns:
  File paths to process.

#### recordResolver

    IgfsRecordResolver recordResolver()

Gets record resolver for the task.

Returns:
  Record resolver.

#### skipNonExistentFiles

    boolean skipNonExistentFiles()

Flag indicating whether to fail or simply skip non-existent files.

Returns:
  `True` if non-existent files should be skipped.

#### userArgument

    T userArgument()

User argument provided for task execution.

Returns:
  User argument.

#### maxRangeLength

    long maxRangeLength()

Optional maximum allowed range length, `0` by default. If not specified, full range including all consecutive blocks will be used without any limitations.

Returns:
  Maximum range length.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015